> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.trypila.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Credit Wallet

> An endpoint that allows you to credit or fund a wallet

```text [POST] theme={null}
{{baseUrl}}/api/v1/wallet/ngn/credit

```

### Header

| Header | Type | Description |
| - | - | - |
| AppId | string | you would need to create an app to get your app ID |
| Authorization | string | Your private (secret) key |

### Body parameter

| Parameter | Type | Description | |
| - | - | - | - |
| amount \* | string | Amount to credit | required |
| wallet\_id \* | string | unique wallet id | required |

### Sample response

```json Response theme={null}
{
  "entity": {
    "wallet_id": "876a8cae-8073-4914-8b04-e6fd096c1006",
    "transaction_amount": 100,
    "transaction_type": "deposit",
    "recipient_account_number": "1004234891",
    "sender_account_number": "",
    "transaction_remarks": "Pila-wallet-credit",
    "transaction_reason": null,
    "transaction_id": "Pila-c02585f5-9a8b-4230-8c1b-11fd2869f4ce",
    "transaction_status": "COMPLETED",
    "date_created": "2021-10-11T11:54:01.905196Z"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.